<script setup>
const props = defineProps({
  name: { type: String, required: true },
  dropdown: { type: Object, required: true },
  isOpened: { type: Boolean, default: false },
});

defineEmits("toggle-active");

//const localePath = useLocalePath();
</script>

<template>
  <div class="relative">
    <a
      href="#"
      class="px-3 py-2 flex items-center font-semibold hover:opacity-75"
      @click.prevent="() => $emit('toggle-active')"
    >
      {{ name }}

      <IconsArrow
        :class="[
          props.dropdown.iconClass,
          'ml-2',
          'shrink-0',
          { '-rotate-90': !isOpened },
        ]"
      />
    </a>

    <Transition
      enter-active-class="duration-200 ease-in"
      enter-from-class="transform opacity-0 -translate-y-6"
      enter-to-class="opacity-100 translate-y-0"
      leave-active-class="duration-200 ease-out"
      leave-from-class="opacity-100 translate-y-0"
      leave-to-class="transform opacity-0 -translate-y-6"
    >
      <ul
        v-show="isOpened"
        :class="[
          'absolute',
          props.dropdown.bgClass,
          'left-0',
          'top-[60px]',
          'ml-3',
          'min-w-[200px]',
          'shadow-lg',
        ]"
      >
        <li v-for="link in props.dropdown.links" :key="link.name">
          <NuxtLink
            :class="[
              'block',
              'p-4',
              'text-white',
              'hover:bg-white',
              'hover:bg-opacity-25',
              'focus:bg-white',
              'focus:bg-opacity-30',
              'active:bg-opacity-40',
            ]"
            :to="link.to"
            >{{ link.name }}</NuxtLink
          >
        </li>
      </ul>
    </Transition>
  </div>
</template>
